const MS = require("./ms.js")
const User = require("./user.js")
const Explore = require("./explore.js")
const Goods = require("./goods.js")
const Order = require("./order.js")
const Pay = require("./pay.js")
const Common = require("./common.js")
const ImageText = require('./imageText')
const Media = require('./media')
const GoodsCategory = require('./goodsCategory')
const Banner = require('./banner')
const Seller = require('./seller')
const TagLibrary = require('./tagLibrary')

// 用户对象
MS.User = new User()
MS.Explore = new Explore()
MS.Goods = new Goods()
MS.Order = new Order()
MS.Pay = new Pay()
MS.Common = new Common()
MS.ImageText = new ImageText()
MS.Media = new Media()
MS.GoodsCategory = new GoodsCategory()
MS.Banner = new Banner()
MS.Seller = new Seller()
MS.TagLibrary = new TagLibrary()

//wx.MS = MS
global.MS = MS
if (MS.type === 'wx') {
    console.info('wx');
    wx.MS = MS
} else if (MS.type === 'h5') {
    console.info('h5');
    window.MS = MS
} else if (MS.type === 'hap') {
    // 快应用功能
    console.info('hap');
    global.MS = MS
} else if (MS.type === 'nodejs') {
    // nodejs
    console.info('nodejs');
    global.MS = MS
}
module.exports = MS