//const axios = require('../node_modules/axios/index')
const axios = require('axios')
let MS = require('./ms')
const setHeader = (config) => {
    let header = {
        'content-type': 'application/json',
        'X-MS-ApplicationId': config.applicationId,
        'X-MS-REST-API-KEY': config.applicationKey,
        'X-MS-APP-ID': config.appid
    }
    return header
}

const request = (route, method = 'get', params = {}, data = {}) => {
    return new Promise((resolve, reject) => {
        const header = setHeader(MS._config)
        axios({
            method: method,
            url: route,
            headers: header,
            params: params,
            data: data
        }).then(res => {
            resolve(res.data)
        }).then(err => {
            reject(err)
        })
        // const server = axios.create({
        //     baseURL: route,
        //     headers: header,
        //     validateStatus: (status) => {
        //         return status < 500 // 状态码在大于或等于500时才会 reject
        //     }
        // })
        // const serverData = {
        //     url: route,
        //     method: method,
        //     params: params,
        //     data: data
        // }
        // server(serverData).then(({data}) => {
        //     if (data.code) {
        //         reject(data)
        //     }
        //     resolve(data)
        // }).catch(err => {
        //     reject(err)
        // })
    })
}

module.exports = request
