const ROOT = require('../package.json')
//const HOST = 'https://mjsj.mynatapp.cc/app/'
//const HOST = 'https://ms.minchao.club/app/'
const HOST = 'https://localhost/app/'
const APP_ID = 'wxcb76b86b276120c3'
//const APPLICATION_ID = 'XiNAln8tNkU='
const APPLICATION_ID = 'D4D4F2A8B148435A9F93DB6FEF8BFEDD'
//const APPLICATION_KEY = 'xAWxHm/RqBU='
const APPLICATION_KEY = 'DBA19F52BE5B48DF90EFB7C4DF736320'
// 注意小程序开发时，这个地方一定记得写死
const VERSION = `v${ROOT.version}`
// 1.h5 2.小程序 3.快应用
const TYPE = 1

const PARAMETERS = {
    WX_LOGIN: HOST + 'user/login', //用户登陆
    WX_UPDATE_USER: HOST + 'user/info', //用户信息
    WX_LOAD_UN_PAY_SHOP_BAG: HOST + 'user/findUnPayShopBags',//获取用户待支付的购物袋商品数据
    WX_GET_UN_PAY_SHOP_BAG_NUM : HOST + 'user/getUnPayShopBagNum',//获取用户待支付的购物袋商品数量
    WX_JOIN_SHOP_BAG: HOST + 'user/joinShopBag', //微信用户将商品加入购物袋
    WX_PLUS_SHOP_BAG_GOODS: HOST + 'user/plusShopBagGoods', //追加购物袋内指定商品数量
    WX_MINUS_SHOP_BAG_GOODS: HOST + 'user/minusShopBagGoods', //递减购物袋内指定商品数量
    WX_REMOVE_SHOP_BAG_GOODS: HOST + 'user/removeShopBagGoods', //移除购物袋内指定商品
    WX_FIND_SYS_NOTICE: HOST + 'user/findSysNotices', //微信用户获取系统通知数据
    WX_GET_NO_LOOK_SYS_NOTICE_NUM: HOST + 'user/getNoLookSysNoticeNum', //微信用户获取未查看系统通知数量
    WX_SET_SYS_NOTICE_LOOK: HOST + 'user/setSysNoticeLook', //根据微信用户编码设置未查看系统通知为已读
    WX_FIND_USER_BILL: HOST + 'user/findUserBill', //微信用户获取获利记录
    WX_GET_PHONE_NUMBER: HOST + 'user/phone', //微信用户绑定的手机
    WX_BIND_PHONE: HOST + 'user/bindPhone', //绑定手机号
    WX_ORDER: HOST + 'order', //GET：获取订单信息，POST:创建订单，PUT: 支付成功， DELETE: 取消订单
    WX_FIND_ORDERS: HOST + 'order/findOrders', //搜索订单数据
    WX_FIND_ORDER_EXPRESS: HOST + 'order/findOrderExpress', //根据订单编码获取快递信息
    WX_QUERY_EXPLORES: HOST + 'explore/loadexplores', //获取探索信息
    WX_GET_EXPLORES: HOST + 'explore/detail', //获取探索详情
    WX_FIND_GOODS: HOST + 'goods/loadGoods', //获取商品列表
    WX_GET_GOODS: HOST + 'goods/detail', //获取商品详情
    WX_GOODS_FAVORITE: HOST + 'goods/favorite', //收藏商品
    WX_GOODS_CANCEL_FAVORITE: HOST + 'goods/cancelFavorite', //取消收藏
    WX_GOODS_CHECK_FAVORITE: HOST + 'goods/checkFavorite', //检查收藏
    WX_GOODS_LOAD_USER_FAVORITE: HOST + 'goods/loadUserFavoriteGoods', //获取用户收藏商品
    WX_LOAD_GOODS_CATEGORYS: HOST + 'goods/loadGoodsCategorys', //获取商品类型列表
    WX_LOAD_GOODS_SUB_CATEGORYS: HOST + 'goods/loadGoodsSubCategorys',//获取商品子类型列表
    WX_MINI_APP_PAY: HOST + 'pay/createUnifiedOrder', //创建统一支付订单
    WX_COMMON_CHECK_EXPRESS_FEE: HOST + 'common/checkExpressFee', //检查邮费
    WX_COMMON_LOAD_HOT_SEARCH: HOST + 'common/loadHotSearch', //获取热门搜索
    WX_SEND_SMS_CODE: HOST + 'common/sendSMSCode', //获取验证码
    WX_VERIFY_SMS_CODE: HOST + 'common/verifySmsCode', //校验手机验证码
    WX_CREATE_QR_CODE_UNLIMIT: HOST + 'wx/qrCode/createQrCodeUnlimit',
    WX_FIND_EXPLORE_GOODS: HOST + 'explore/findExploreGoods', //根据探索编码获取商品
    WX_FEED_BACK: HOST + 'feedback', //用户反馈
}
module.exports = {
    host: HOST,
    appid: APP_ID,
    applicationId: APPLICATION_ID,
    applicationKey: APPLICATION_KEY,
    parameters: PARAMETERS,
    version:VERSION,
    type:TYPE
}